2 yishengyouni95 YISHENGYOUNI95 于 2016.09.17 11:03 提问

eclipse打不开java.lang.ArrayIndexOutOfBoundsException

!SESSION 2016-09-17 10:52:52.580 -----------------------------------------------
eclipse.buildId=4.6.0.I20160606-1100
java.version=1.8.0_101
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=zh_CN
Framework arguments: -product org.eclipse.epp.package.jee.product
Command-line arguments: -os win32 -ws win32 -arch x86_64 -product org.eclipse.epp.package.jee.product

!ENTRY org.eclipse.osgi 4 0 2016-09-17 10:52:55.377
!MESSAGE Application error
!STACK 1
java.lang.ArrayIndexOutOfBoundsException
at java.lang.System.arraycopy(Native Method)
at java.util.Arrays.copyOfRange(Arrays.java:3485)
at java.util.Arrays.copyOfRange(Arrays.java:3441)
at org.eclipse.ui.internal.ide.ChooseWorkspaceDialog.lambda$7(ChooseWorkspaceDialog.java:380)
at java.util.stream.ReferencePipeline$3$1.accept(ReferencePipeline.java:193)
at java.util.ArrayList$ArrayListSpliterator.forEachRemaining(ArrayList.java:1374)
at java.util.stream.AbstractPipeline.copyInto(AbstractPipeline.java:481)
at java.util.stream.AbstractPipeline.wrapAndCopyInto(AbstractPipeline.java:471)
at java.util.stream.ReduceOps$ReduceOp.evaluateSequential(ReduceOps.java:708)
at java.util.stream.AbstractPipeline.evaluate(AbstractPipeline.java:234)
at java.util.stream.ReferencePipeline.collect(ReferencePipeline.java:499)
at org.eclipse.ui.internal.ide.ChooseWorkspaceDialog.createUniqueWorkspaceNameMap(ChooseWorkspaceDialog.java:382)
at org.eclipse.ui.internal.ide.ChooseWorkspaceDialog.createRecentWorkspacesComposite(ChooseWorkspaceDialog.java:325)
at org.eclipse.ui.internal.ide.ChooseWorkspaceDialog.createDialogArea(ChooseWorkspaceDialog.java:176)
at org.eclipse.jface.dialogs.TitleAreaDialog.createContents(TitleAreaDialog.java:158)
at org.eclipse.jface.window.Window.create(Window.java:426)
at org.eclipse.jface.dialogs.Dialog.create(Dialog.java:1095)
at org.eclipse.jface.window.Window.open(Window.java:783)
at org.eclipse.ui.internal.ide.ChooseWorkspaceDialog.prompt(ChooseWorkspaceDialog.java:114)
at org.eclipse.ui.internal.ide.application.IDEApplication.promptForWorkspace(IDEApplication.java:342)
at org.eclipse.ui.internal.ide.application.IDEApplication.checkInstanceLocation(IDEApplication.java:261)
at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:128)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:498)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
at org.eclipse.equinox.launcher.Main.run(Main.java:1519)


11个回答

weixin_36165756
weixin_36165756   2016.09.18 17:59
已采纳

你的eclipse是最新版的?

weixin_36165756
weixin_36165756 回复weixin_36165756: 最新版本运行环境是jdk1.8
大约一年之前 回复
YISHENGYOUNI95
YISHENGYOUNI95 是啊!最新的版本
大约一年之前 回复
qq_38029602
qq_38029602   2017.03.23 10:59

只需要删除你eclipse/configuration/.settings中的所有文件,即可打开eclipse

guoxiaozhou
guoxiaozhou 好了,谢谢
5 个月之前 回复
Marksinoberg
Marksinoberg   Ds   Rxr 2016.09.17 11:15

打不开是什么意思?能具体的解释一下吗?

你这个异常很有可能是表达式的书写有误,是用的lambda吧。

qq_38029602
qq_38029602 就是点击eclipse时候,会弹出一个小框,提示an error has occurred。See the log file. 然后去看日志文件里面报出数组下标越界的异常。 大兄弟,请问你知道怎么解决吗?
9 个月之前 回复
Marksinoberg
Marksinoberg 版本问题吧
大约一年之前 回复
YISHENGYOUNI95
YISHENGYOUNI95 启动eclipse时报错,弹框显示出现一个错误,错误详情见日志 这个是日志文件的内容
大约一年之前 回复
YISHENGYOUNI95
YISHENGYOUNI95   2016.09.17 11:43

启动eclipse时报错,弹框显示出现一个错误,错误详情见日志
这个是日志文件的内容

qq_35994257
qq_35994257   2016.09.18 15:46

应该是你的JDK版本问题,换一个版本的JDK试试

u010214731
u010214731 回复YISHENGYOUNI95: 请问解决了么 ,我也突然出现这种问题了
9 个月之前 回复
qq_38029602
qq_38029602 回复YISHENGYOUNI95: 朋友,那你后面是怎么解决的呢?
9 个月之前 回复
YISHENGYOUNI95
YISHENGYOUNI95 jdk是1.8的,之前是可以打开的,过了一晚就打不开了。
大约一年之前 回复
qq_35994257
qq_35994257   2016.09.18 15:49

换高于当前版本的JDK

liu_xuliu_xu
liu_xuliu_xu   2017.01.06 13:24

大家好
和我的错误一样,我这里是rsa9.6,(eclipse4.6),普通用户运行可以
run as administrator就出这个问题,eclipse就打不开了,什么原因呢
我是大连的刘晓旭,qq 402235823

!SESSION 2017-01-06 12:39:04.197 -----------------------------------------------
eclipse.buildId=unknown
java.fullversion=JRE 1.8.0 IBM J9 2.8 Windows 7 amd64-64 Compressed References 20160719_312156 (JIT enabled, AOT enabled)
J9VM - R28_Java8_SR3_20160719_1144_B312156
JIT - tr.r14.java_20160629_120284.01
GC - R28_Java8_SR3_20160719_1144_B312156_CMPRSS
J9CL - 20160719_312156
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US
Command-line arguments: -os win32 -ws win32 -arch x86_64

!ENTRY org.eclipse.osgi 4 0 2017-01-06 12:39:07.723
!MESSAGE Application error
!STACK 1
java.lang.ArrayIndexOutOfBoundsException
at java.util.Arrays.copyOfRange(Arrays.java:3829)
at java.util.Arrays.copyOfRange(Arrays.java:3785)
at org.eclipse.ui.internal.ide.ChooseWorkspaceDialog.lambda$7(ChooseWorkspaceDialog.java:380)
at org.eclipse.ui.internal.ide.ChooseWorkspaceDialog$$Lambda$18.00000000064651B0.apply(Unknown Source)
at java.util.stream.ReferencePipeline$3$1.accept(ReferencePipeline.java:204)
at java.util.ArrayList$ArrayListSpliterator.forEachRemaining(ArrayList.java:1385)
at java.util.stream.AbstractPipeline.copyInto(AbstractPipeline.java:523)
at java.util.stream.AbstractPipeline.wrapAndCopyInto(AbstractPipeline.java:513)
at java.util.stream.ReduceOps$ReduceOp.evaluateSequential(ReduceOps.java:719)
at java.util.stream.AbstractPipeline.evaluate(AbstractPipeline.java:245)
at java.util.stream.ReferencePipeline.collect(ReferencePipeline.java:510)
at org.eclipse.ui.internal.ide.ChooseWorkspaceDialog.createUniqueWorkspaceNameMap(ChooseWorkspaceDialog.java:382)
at org.eclipse.ui.internal.ide.ChooseWorkspaceDialog.createRecentWorkspacesComposite(ChooseWorkspaceDialog.java:325)
at org.eclipse.ui.internal.ide.ChooseWorkspaceDialog.createDialogArea(ChooseWorkspaceDialog.java:176)
at org.eclipse.jface.dialogs.TitleAreaDialog.createContents(TitleAreaDialog.java:158)
at org.eclipse.jface.window.Window.create(Window.java:426)
at org.eclipse.jface.dialogs.Dialog.create(Dialog.java:1095)
at org.eclipse.jface.window.Window.open(Window.java:783)
at org.eclipse.ui.internal.ide.ChooseWorkspaceDialog.prompt(ChooseWorkspaceDialog.java:114)
at org.eclipse.ui.internal.ide.application.IDEApplication.promptForWorkspace(IDEApplication.java:342)
at org.eclipse.ui.internal.ide.application.IDEApplication.checkInstanceLocation(IDEApplication.java:261)
at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:128)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:95)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:55)
at java.lang.reflect.Method.invoke(Method.java:508)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
at org.eclipse.equinox.launcher.Main.main(Main.java:1492)

liu_xuliu_xu
liu_xuliu_xu   2017.01.06 13:24

我正在考虑可能是一起rsa9.5一起安装的问题,

我昨天安装的,刚开始也报错,但是重新启动后好用了,今天20170106就不好用了

C:\Users\IBM_ADMIN\IBM\rationalsdp\workspace.metadata

liu_xuliu_xu
liu_xuliu_xu   2017.01.06 15:55

eclipse.ini 里面的-vm调用的是自己的jdk,所以不好说是不是jdk版本的问题

-vm
jdk/jre/bin/javaw.exe
-startup
plugins/org.eclipse.equinox.launcher_1.3.200.v20160318-1642.jar
--launcher.library
plugins/org.eclipse.equinox.launcher.win32.win32.x86_64_1.1.400.v20160518-1444
-install
C:/Program Files/IBM/SDP_1
-vmargs
-Xquickstart
-Xms512m
-Xmx1536m
-Xmnx64m
-Xgcpolicy:gencon
-Xscmx96m
-Xshareclasses:name=IBMSDP_%u
-XX:MaxPermSize=512M
-Xcompressedrefs
-Dcom.ibm.ws.management.event.max_polling_interval=1000
-Djava.util.Arrays.useLegacyMergeSort=true

liu_xuliu_xu
liu_xuliu_xu   2017.01.06 16:01

和我的一样,加我qq 402235823,好使了一个晚上

共11条数据 1 尾页
Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!